<?php include_once('includes/header.php'); ?>
<script src="assets/plugins/ckeditor/ckeditor.js"></script>

<?php 
    
    error_reporting(0);

	if (isset($_GET['id'])) {
		$ID = clean($_GET['id']);
		$sql_ebook    = "SELECT * FROM tbl_book WHERE book_id ='$ID'";
		$result = $connect->query($sql_ebook);
		$row = $result->fetch_assoc();
	}

	if (isset($_POST['submit'])) {

        $old_image = clean($_POST['old_image']);
        $old_pdf = clean($_POST['old_pdf']);

        if ($_FILES['book_image']['name'] != '') {

            $old_path = 'upload/category/'.$old_image;
            if (file_exists($old_path)) {
                unlink($old_path);
            }

            $book_image = time().'_'.$_FILES['book_image']['name'];
            $book_image_tmp = $_FILES['book_image']['tmp_name'];
            $image_path = 'upload/category/'.$book_image;
            copy($book_image_tmp, $image_path);
        } else {
            $book_image = $old_image;
        }

        if ($_POST['upload_type'] == 'pdf_upload') {
            if ($_FILES['pdf']['name'] != '') {

                $old_pdf_path = 'upload/pdf/'.$old_pdf;
                if (file_exists($old_pdf_path)) {
                    unlink($old_pdf_path);
                }

                $pdf = time().'_'.$_FILES['pdf']['name'];
                $pdf_tmp = $_FILES['pdf']['tmp_name'];
                $pdf_path = 'upload/pdf/'.$pdf;
                copy($pdf_tmp, $pdf_path);
            } else {
                $pdf = $old_pdf;
            }
        } else if ($_POST['upload_type'] == 'pdf_url') {
            $pdf = $_POST['url_source'];
        } else {
            $pdf = '';
        }
	
        $data = array(
            'category_id' => $_POST['category_id'],
            'book_name' => $_POST['book_name'],
            'book_image' => $book_image,
            'book_description' => $_POST['book_description'],
            'author' => $_POST['author'],
            'type' => $_POST['upload_type'],
            'pdf_name' => isset($pdf) ? $pdf : ''
        );

		$update = update('tbl_book', $data, "WHERE book_id = '$ID'");

	    if ($update > 0) {
			$_SESSION['msg'] = 'Changes saved...';
			header( "Location:ebook-edit.php?id=$ID");
			exit;
	    }

	}

    if (isset($_POST['storyAdd'])) {

        $bookId = $_POST['book_id'];
        $storyTitle = $_POST['story_title'];
        $storySubTitle = $_POST['story_subtitle'];
        $storyDescription = $_POST['story_description'];
 
        $data = array(
            'book_id'  => clean($bookId),
            'story_title' => clean($storyTitle),
            'story_subtitle' => clean($storySubTitle),
            'story_image' => 'default.jpg',
            'story_description' => $storyDescription
        );

        $qry = insert('tbl_story', $data);

        $_SESSION['msg2'] = "Story added successfully...";
        header( "Location:ebook-edit.php?id=$ID");
        exit;

    }

    if (isset($_GET['story_id'])) {
        $storyId = $_GET['story_id'];
        $sqlDelete = "DELETE FROM tbl_story WHERE story_id = '$storyId'";
        $delete = $connect->query($sqlDelete);
        if ($delete) {
            $_SESSION['msg2'] = "Story deleted successfully...";
            header( "Location:ebook-edit.php?id=$ID");
            exit;
        }
    }

	$sql_category = "SELECT * FROM tbl_category ORDER BY cid DESC";
	$category_result = mysqli_query($connect, $sql_category);

?>

<?php 

    if (isset($_REQUEST['id']) && isset($_REQUEST['q'])) {
        $bookId = $_REQUEST['id'];
        $q = $_REQUEST['q'];
        $reload = "ebook-edit.php?id=$ID";
        $sql =  "SELECT * FROM tbl_story WHERE book_id = '$bookId' AND (story_title LIKE '%$q%' OR story_subtitle LIKE '%$q%')";
        $result = $connect->query($sql);
    } else {
        $reload = "ebook-edit.php?id=$ID";
        $sql =  "SELECT * FROM tbl_story WHERE book_id = '$ID' ORDER BY story_id ASC";
        $result = $connect->query($sql);
    }

    $rpp = $postPerPage;
    $page = intval($_GET["page"]);
    if($page <= 0) $page = 1;  
    $tcount = mysqli_num_rows($result);
    $tpages = ($tcount) ? ceil($tcount / $rpp) : 1;
    $count = 0;
    $i = ($page-1) * $rpp;
    $no_urut = ($page-1) * $rpp;

?>

<script type="text/javascript">

    $(document).ready(function(e) {

        $("#upload_type").change(function() {
            var type = $("#upload_type").val();

                if (type == "pdf_url") {
                    $("#pdf_upload").hide();
                    $("#pdf_url").show();
                }

                if (type == "pdf_upload") {
                    $("#pdf_url").hide();
                    $("#pdf_upload").show();
                }

                if (type == "standard") {
                    $("#pdf_url").hide();
                    $("#pdf_upload").hide();
                }                     
        });

        $( window ).load(function() {
        var type=$("#upload_type").val();

            if (type == "pdf_url") {
                $("#pdf_upload").hide();
                $("#pdf_url").show();
            }

            if (type == "pdf_upload") {
                $("#pdf_url").hide();
                $("#pdf_upload").show();
            }

            if (type == "standard") {
                $("#pdf_url").hide();
                $("#pdf_upload").hide();
            }

        });

    });

</script>

   <section class="content">
   
        <ol class="breadcrumb">
            <li><a href="dashboard.php">Dashboard</a></li>
            <li><a href="ebook.php">Manage Ebook</a></li>
            <li class="active">Edit Ebook</a></li>
        </ol>

       <div class="container-fluid">

            <div class="row clearfix">

                <div class="<?php if ($row['type'] == 'standard') { echo 'col-lg-4 col-md-4 col-sm-12 col-xs-12'; } else { echo 'col-lg-12 col-md-12 col-sm-12 col-xs-12'; } ?>">

                	<form id="form_validation" method="post" enctype="multipart/form-data">
                    <div class="card corner-radius">
                        <div class="header">
                            <h2>EDIT EBOOK</h2>
                        </div>
                        <div class="body">

							<?php if(isset($_SESSION['msg'])) { ?>
							<div class='alert alert-info alert-dismissible corner-radius' role='alert'>
								<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span>&nbsp;&nbsp;</button>
								<?php echo $_SESSION['msg']; ?>
							</div>
							<?php unset($_SESSION['msg']); } ?>

                            <?php if ($row['type'] == 'standard') { ?>

                                <div class="row clearfix">
                                    
                                    <div class="form-group col-sm-12">
                                        <div class="font-12">Book Name</div>
                                        <div class="form-line">
                                            <input type="text" class="form-control" name="book_name" id="book_name" value="<?php echo $row['book_name']; ?>" placeholder="Book Name" required>
                                        </div>
                                    </div>

                                    <div class="form-group col-sm-12">
                                        <div class="font-12">Author</div>
                                        <div class="form-line">
                                            <input type="text" class="form-control" name="author" id="author" value="<?php echo $row['author']; ?>" placeholder="Author" required/>
                                        </div>
                                    </div>

                                    <div class="form-group col-sm-12">
                                        <div class="font-12">Category</div>
                                        <select class="form-control show-tick" name="category_id" id="category_id">
                                            <?php   
                                            while ($row_category = mysqli_fetch_array($category_result)) {
                                                $sel = '';
                                                if ($row_category['cid'] == $row['category_id']) {
                                                    $sel = "selected";  
                                                }   
                                                ?>
                                                <option value="<?php echo $row_category['cid'];?>" <?php echo $sel; ?>><?php echo $row_category['category_name'];?></option>
                                                <?php } ?>
                                        </select>
                                    </div>

                                    <div class="form-group col-sm-12">
                                        <div class="font-12">Type</div>
                                        <select class="form-control show-tick" name="upload_type" id="upload_type">
                                            <option value="standard">Standard (Stories)</option>
                                        </select>
                                    </div>

                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <div class="font-12 ex1">Image ( JPG, JPEG, PNG or GIF )</div>
                                            <input type="file" name="book_image" id="book_image" class="dropify-image" data-max-file-size="3M" data-allowed-file-extensions="jpg jpeg png gif" data-default-file="upload/category/<?php echo $row['book_image'];?>" data-show-remove="false"/>
                                        </div>
                                    </div>

                                    <div class="col-sm-12">
                                        <div class="font-12">Description *</div>
                                        <div class="form-group" style="margin-top: 6px;">
                                            <textarea class="form-control" name="book_description" id="book_description" class="form-control" cols="60" rows="10" required><?php echo $row['book_description'];?></textarea>

                                            <?php if ($ENABLE_RTL_MODE == 'true') { ?>
                                            <script>                             
                                                CKEDITOR.replace( 'book_description' );
                                                CKEDITOR.config.contentsLangDirection = 'rtl';
                                                CKEDITOR.config.height = 300;
                                            </script>
                                            <?php } else { ?>
                                            <script>                             
                                                CKEDITOR.replace( 'book_description' );
                                                CKEDITOR.config.height = 300;
                                            </script>
                                            <?php } ?>
                                        </div>
                                    </div>                                     

                                    <div class="form-group col-sm-12">
                                                                        
                                        <input type="hidden" name="old_image" value="<?php echo $row['book_image'];?>">
                                        <input type="hidden" name="old_pdf" value="<?php echo $row['pdf_name'];?>">
                                        <input type="hidden" name="id" value="<?php echo $row['book_id'];?>">

                                        <button type="submit" name="submit" class="button button-rounded waves-effect waves-float pull-right">UPDATE</button>

                                    </div>

                                </div>

                            <?php } else { ?>                        	

    							<div class="row clearfix">
    								
                                    <div class="form-group col-sm-12">
                                        <div class="font-12">Book Name</div>
                                        <div class="form-line">
                                            <input type="text" class="form-control" name="book_name" id="book_name" value="<?php echo $row['book_name']; ?>" placeholder="Book Name" required>
                                        </div>
                                    </div>

                                    <div class="form-group col-sm-12">
                                        <div class="font-12">Author</div>
                                        <div class="form-line">
                                            <input type="text" class="form-control" name="author" id="author" value="<?php echo $row['author']; ?>" placeholder="Author" required/>
                                        </div>
                                    </div>

                                    <div class="form-group col-sm-12">
                                    	<div class="font-12">Category</div>
                                    	<select class="form-control show-tick" name="category_id" id="category_id">
                                    		<?php   
                                    		while ($row_category = mysqli_fetch_array($category_result)) {
                                    			$sel = '';
                                    			if ($row_category['cid'] == $row['category_id']) {
                                    				$sel = "selected";  
                                    			}   
                                    			?>
                                    			<option value="<?php echo $row_category['cid'];?>" <?php echo $sel; ?>><?php echo $row_category['category_name'];?></option>
                                    			<?php } ?>
                                    	</select>
                                    </div>

                                    <div class="form-group col-sm-12">
                                        <div class="font-12">Type</div>
                                        <select class="form-control show-tick" name="upload_type" id="upload_type">
                                            <?php if ($row['type'] == 'pdf_upload') { ?>
                                                <option value="pdf_url">PDF (Url)</option>
                                                <option value="pdf_upload" selected>PDF (Upload)</option>
                                            <?php } else if ($row['type'] == 'pdf_url') { ?>
                                                <option value="pdf_url" selected>PDF (Url)</option>
                                                <option value="pdf_upload">PDF (Upload)</option>
                                            <?php } ?>
                                        </select>
                                    </div>

                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <div class="font-12 ex1">Image ( JPG, JPEG, PNG or GIF )</div>
                                            <input type="file" name="book_image" id="book_image" class="dropify-image" data-max-file-size="3M" data-allowed-file-extensions="jpg jpeg png gif" data-default-file="upload/category/<?php echo $row['book_image'];?>" data-show-remove="false"/>
                                        </div>
                                    </div>

                                    <div id="pdf_url">
                                        <div class="form-group col-sm-12" style="margin-top: -24px">
                                            <div class="font-12">PDF URL *</div>
                                            <div class="form-line">
                                                <input type="text" class="form-control" name="url_source" id="url_source" value="<?php echo $row['pdf_name']; ?>" placeholder="http://www.abc.com/pdf_name.pdf" required/>
                                            </div>
                                        </div>
                                    </div>

                                    <div id="pdf_upload">
                                        <div class="col-sm-6">
                                            <div class="font-12 ex1">PDF *</div>
                                            <div class="form-group">
                                                <input type="file" name="pdf" id="pdf" class="dropify-image" data-max-file-size="100M" data-allowed-file-extensions="pdf" data-default-file="upload/pdf/<?php echo $row['pdf_name'];?>" data-show-remove="false"/>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-sm-12">
                                        <div class="font-12">Description *</div>
                                        <div class="form-group" style="margin-top: 6px;">
                                            <textarea class="form-control" name="book_description" id="book_description" class="form-control" cols="60" rows="10" required><?php echo $row['book_description'];?></textarea>

                                            <?php if ($ENABLE_RTL_MODE == 'true') { ?>
                                            <script>                             
                                                CKEDITOR.replace( 'book_description' );
                                                CKEDITOR.config.contentsLangDirection = 'rtl';
                                                CKEDITOR.config.height = 300;
                                            </script>
                                            <?php } else { ?>
                                            <script>                             
                                                CKEDITOR.replace( 'book_description' );
                                                CKEDITOR.config.height = 300;
                                            </script>
                                            <?php } ?>
                                        </div>
                                    </div>                                     

                                    <div class="form-group col-sm-12">
                                        								
                                        <input type="hidden" name="old_image" value="<?php echo $row['book_image'];?>">
    									<input type="hidden" name="old_pdf" value="<?php echo $row['pdf_name'];?>">
    									<input type="hidden" name="id" value="<?php echo $row['book_id'];?>">

    									<button type="submit" name="submit" class="button button-rounded waves-effect waves-float pull-right">UPDATE</button>

                                    </div>

    							</div>

                            <?php } ?>

                        </div>

                    </div>

                    </form>

                </div>

                <!-- table of stories -->
                <?php if ($row['type'] == 'standard') { ?>
                    
                    <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12">
                        <div class="card corner-radius">
                            <div class="header">
                                <h2>MANAGE STORY</h2>
                                <div class="header-dropdown m-r--5">
                                    <button data-target="#add-story" data-toggle="modal" type="button" class="button button-rounded btn-offset waves-effect waves-float">ADD NEW STORY</button>
                                </div>
                            </div>

                            <div style="margin-top: -10px;" class="body table-responsive">

                                <?php if(isset($_SESSION['msg2'])) { ?>
                                <div class='alert alert-info alert-dismissible corner-radius bottom-offset' role='alert'>
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span>&nbsp;&nbsp;</button>
                                    <?php echo $_SESSION['msg2']; ?>
                                </div>
                                <?php unset($_SESSION['msg2']); } ?>

                                <form method="get" id="form_validation2">
                                    <table class='table'>
                                        <tr>
                                            <td>
                                                <div class="form-group form-float">
                                                    <div class="form-line">
                                                        <input type="hidden" class="form-control" name="id" value="<?php echo $ID; ?>">
                                                        <input type="text" class="form-control" name="q" placeholder="Search..." required>
                                                    </div>
                                                </div>
                                            </td>
                                            <td width="1%"><a href="ebook-edit.php?id=<?php echo $ID; ?>"><button type="button" class="button button-rounded waves-effect waves-float">RESET</button></a></td>
                                            <td width="1%"><button type="submit" class="btn bg-blue btn-circle waves-effect waves-circle waves-float"><i class="material-icons">search</i></button></td>
                                        </tr>
                                    </table>
                                </form>

                                <?php if ($tcount == 0) { ?>
                                    <p align="center" style="font-size: 110%;">There are no stories.</p>
                                <?php } else { ?>                           

                                <table class='table table-hover table-striped table-offset'>
                                    <thead>
                                        <tr>
                                            <th>Title</th>
                                            <th>Sub Title</th>
                                            <th width="15%">Action</th>
                                        </tr>
                                    </thead>
                                    <?php
                                    while(($count < $rpp) && ($i < $tcount)) {
                                        mysqli_data_seek($result, $i);
                                        $data = mysqli_fetch_array($result);
                                        ?>
                                        <tr>
                                            <td style="vertical-align: middle;"><?php echo $data['story_title']; ?></td>
                                            <td style="vertical-align: middle;"><?php echo $data['story_subtitle']; ?></td>

                                            <td style="vertical-align: middle;">
                                                <a href="" data-target="#edit-story<?php echo $data['story_id']; ?>" data-toggle="modal">
                                                    <i class="material-icons">mode_edit</i>
                                                </a>

                                                <div class="modal fade" id="edit-story<?php echo $data['story_id']; ?>" tabindex="-1" data-backdrop="static" role="dialog" >

                                                    <?php

                                                        if(isset($_POST['storyEdit'])) {

                                                            $storyId = $_POST['story_id'];
                                                            $bookId = $_POST['book_id'];
                                                            $storyTitle = $_POST['story_title'];
                                                            $storySubTitle = $_POST['story_subtitle'];
                                                            $storyDescription = $_POST['story_description'];
                                                     
                                                            $data = array(
                                                                'book_id'  => clean($bookId),
                                                                'story_title' => clean($storyTitle),
                                                                'story_subtitle' => clean($storySubTitle),
                                                                'story_image' => 'default.jpg',
                                                                'story_description' => $storyDescription
                                                            );

                                                            $update = update('tbl_story', $data, "WHERE story_id = '$storyId'");

                                                            if ($update > 0) {
                                                                $_SESSION['msg2'] = "Changes Saved...";
                                                                header('Location:'.$_SERVER['HTTP_REFERER']);
                                                                //header("Location:ebook-edit.php?id=$ID");
                                                                exit;
                                                            }

                                                        }
                                                    ?>

                                                    <div class="modal-dialog modal-lg" role="document">

                                                        <div class="modal-content">

                                                            <div class="modal-header">
                                                                <button data-dismiss="modal" type="button" class="btn bg-blue btn-circle waves-effect waves-circle waves-float pull-right"><i class="material-icons">close</i></button>
                                                                <h4 class="pmd-card-title-text">Edit Story</h4>
                                                                <hr>
                                                            </div>

                                                            <form method="post" id="form_validation3">
                                                                <div class="modal-body">
                                                                    <div class="row clearfix">
                                                                        <div class="form-group col-sm-12">
                                                                            <div class="form-line">
                                                                                <div class="font-12">Title</div>
                                                                                <input type="text" class="form-control" name="story_title" id="story_title" value="<?php echo $data['story_title']; ?>" placeholder="Title" required>
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group col-sm-12">
                                                                            <div class="form-line">
                                                                                <div class="font-12">Sub Title</div>
                                                                                <input type="text" class="form-control" name="story_subtitle" id="story_subtitle" placeholder="Sub Title" value="<?php echo $data['story_subtitle']; ?>" required>
                                                                            </div>
                                                                        </div>

                                                                        <input type="hidden" class="form-control" name="book_id" id="book_id" value="<?php echo $ID; ?>" required>
                                                                        <input type="hidden" class="form-control" name="story_id" id="story_id" value="<?php echo $data['story_id']; ?>" required>

                                                                        <div class="col-sm-12">
                                                                            <div class="form-group">
                                                                                <div class="form-line">
                                                                                    <div class="font-12 ex1">Description</div>
                                                                                    <textarea class="form-control" name="story_description" id="<?php echo $data['story_id']; ?>" class="form-control" cols="60" rows="10" required><?php echo $data['story_description']; ?></textarea>
                                                                                    <?php if ($ENABLE_RTL_MODE == 'true') { ?>
                                                                                    <script>                             
                                                                                        CKEDITOR.replace( '<?php echo $data['story_id']; ?>' );
                                                                                        CKEDITOR.config.contentsLangDirection = 'rtl';
                                                                                    </script>
                                                                                    <?php } else { ?>
                                                                                    <script>                             
                                                                                        CKEDITOR.replace( '<?php echo $data['story_id']; ?>' );
                                                                                        CKEDITOR.config.height = 300; 
                                                                                    </script>
                                                                                    <?php } ?>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>                                             
                                                                </div>

                                                                <div class="modal-footer" style="margin-top: -50px;">
                                                                    <button style="margin-right: 8px; margin-bottom: 10px;" class="button button-rounded waves-effect waves-float" type="submit" name="storyEdit">UPDATE</button>
                                                                </div>

                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>

                                                <a href="ebook-edit.php?id=<?php echo $ID; ?>&story_id=<?php echo $data['story_id']; ?>" onclick="return confirm('Are you sure want to delete this story?')" >
                                                    <i class="material-icons">delete</i>
                                                </a>
                                            </td>
                                        </tr>
                                    <?php 
                                        $i++; 
                                        $count++;
                                    }
                                    ?>
                                </table>

                                <?php } ?>

                                <?php if ($tcount > $postPerPage) { echo paginationStory($reload, $page, $q, $tpages); } ?>

                            </div>

                        </div>
                    </div>

                <?php } ?>

            </div>

            <div class="modal fade" id="add-story" tabindex="-1" data-backdrop="static" role="dialog">
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button data-dismiss="modal" type="button" class="btn bg-blue btn-circle waves-effect waves-circle waves-float pull-right"><i class="material-icons">close</i></button>
                            <h4 class="pmd-card-title-text">Add Story</h4>
                            <hr>
                        </div>
                        <form method="post" id="form_validation4">
                            <div class="modal-body">
                                <div class="row clearfix">
                                    <div class="form-group col-sm-12">
                                        <div class="form-line">
                                            <div class="font-12">Title</div>
                                            <input type="text" class="form-control" name="story_title" id="story_title" placeholder="Title" required>
                                        </div>
                                    </div>

                                    <div class="form-group col-sm-12">
                                        <div class="form-line">
                                            <div class="font-12">Sub Title</div>
                                            <input type="text" class="form-control" name="story_subtitle" id="story_subtitle" placeholder="Sub Title" required>
                                        </div>
                                    </div>

                                    <input type="hidden" class="form-control" name="book_id" id="book_id" value="<?php echo $ID; ?>" required>

                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <div class="form-line">
                                                <div class="font-12 ex1">Description</div>
                                                <textarea class="form-control" name="story_description" id="story_description" class="form-control" cols="60" rows="10" required></textarea>
                                                <?php if ($ENABLE_RTL_MODE == 'true') { ?>
                                                <script>                             
                                                    CKEDITOR.replace( 'story_description' );
                                                    CKEDITOR.config.contentsLangDirection = 'rtl';
                                                </script>
                                                <?php } else { ?>
                                                <script>                             
                                                    CKEDITOR.replace( 'story_description' );
                                                    CKEDITOR.config.height = 300; 
                                                </script>
                                                <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>                                             
                            </div>

                            <div class="modal-footer" style="margin-top: -10px;">
                                <button style="margin-right: 8px; margin-bottom: 10px;" class="button button-rounded waves-effect waves-float" type="submit" name="storyAdd">SUBMIT</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            
        </div>

    </section>

<?php include_once('includes/footer.php'); ?>