<?php include_once('includes/header.php'); ?>

<?php

	error_reporting(0);

    // delete selected records
    if(isset($_POST['submit'])) {

        $arr = $_POST['chk_id'];
        $count = count($arr);
        if ($count > 0) {
            foreach ($arr as $nid) {

                $sql_image = "SELECT book_image FROM tbl_book WHERE book_id = $nid";
                $img_results = $connect->query($sql_image);

                $sql_delete = "DELETE FROM tbl_book WHERE book_id = $nid";
                $delete = $connect->query($sql_delete);

                if ($delete) {
                    while ($row = mysqli_fetch_assoc($img_results)) {
                    	unlink('upload/category/' . $row['book_image']);
                    }
                    $_SESSION['msg'] = "$count Selected ebooks deleted";
                } else {
                    $_SESSION['msg'] = "Error deleting record";
                }

            }
        } else {
            $_SESSION['msg'] = "Whoops! no ebooks selected to delete";
        }
        header("Location:ebook.php");
        exit;
    }

	if (isset($_REQUEST['keyword']) && $_REQUEST['keyword']<>"") {
		$keyword = $_REQUEST['keyword'];
		$reload = "ebook.php";
		$sql =  "SELECT r.*, c.category_name FROM tbl_book r, tbl_category c WHERE r.category_id = c.cid AND r.book_name LIKE '%$keyword%'";
		$result = $connect->query($sql);
	} else {
		$reload = "ebook.php";
		$sql =  "SELECT r.*, c.category_name FROM tbl_book r, tbl_category c WHERE r.category_id = c.cid ORDER BY r.book_id DESC";
		$result = $connect->query($sql);
	}

	$rpp = $postPerPage;
	$page = intval($_GET["page"]);
	if($page <= 0) $page = 1;  
	$tcount = mysqli_num_rows($result);
	$tpages = ($tcount) ? ceil($tcount / $rpp) : 1;
	$count = 0;
	$i = ($page-1) * $rpp;
	$no_urut = ($page-1) * $rpp;

	if (isset($_GET['add'])) {
		$data = array('featured' => '1');	
		$hasil = update('tbl_book', $data, "WHERE id = '".$_GET['add']."'");
		if ($hasil > 0) {
			$_SESSION['msg'] = 'Success added to featured radio...';
			header( "Location:ebook.php");
			exit;	
		}
	}

	if (isset($_GET['remove'])) {
		$data = array('featured' => '0');	
		$hasil = update('tbl_book', $data, "WHERE id = '".$_GET['remove']."'");
		if ($hasil > 0) {
			$_SESSION['msg'] = 'Success removed from featured radio...';
			header( "Location:ebook.php");
			exit;					
		}
	}	

?>

<section class="content">

	<ol class="breadcrumb">
		<li><a href="dashboard.php">Dashboard</a></li>
		<li class="active">Manage Ebook</a></li>
	</ol>

	<div class="container-fluid">

		<div class="row clearfix">
			<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
				<div class="card corner-radius">
					<div class="header">
						<h2>MANAGE EBOOK</h2>
						<div class="header-dropdown m-r--5">
							<a href="ebook-add.php"><button type="button" class="button button-rounded btn-offset waves-effect waves-float">ADD NEW EBOOK</button></a>
						</div>
					</div>

					<div style="margin-top: -10px;" class="body table-responsive">

						<?php if(isset($_SESSION['msg'])) { ?>
						<div class='alert alert-info alert-dismissible corner-radius bottom-offset' role='alert'>
							<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span>&nbsp;&nbsp;</button>
							<?php echo $_SESSION['msg']; ?>
						</div>
						<?php unset($_SESSION['msg']); } ?>

						<form method="get" id="form_validation">
							<table class='table'>
								<tr>
									<td>
										<div class="form-group form-float">
											<div class="form-line">
												<input type="text" class="form-control" name="keyword" placeholder="Search..." required>
											</div>
										</div>
									</td>
									<td width="1%"><a href="ebook.php"><button type="button" class="button button-rounded waves-effect waves-float">RESET</button></a></td>
									<td width="1%"><button type="submit" class="btn bg-blue btn-circle waves-effect waves-circle waves-float"><i class="material-icons">search</i></button></td>
								</tr>
							</table>
						</form>

						<?php if ($tcount == 0) { ?>
							<p align="center" style="font-size: 110%;">There are no ebooks.</p>
						<?php } else { ?>

						<form method="post" action="">

							<div style="margin-left: 8px; margin-top: -36px; margin-bottom: 10px;">
								<button type="submit" name="submit" id="submit" class="button button-rounded waves-effect waves-float" onclick="return confirm('Are you sure want to delete all selected ebooks?')">Delete selected items(s)</button>
							</div>				

							<table class='table table-hover table-striped'>
								<thead>
									<tr>
										<th width="1%">
											<div class="demo-checkbox" style="margin-bottom: -15px">
												<input id="chk_all" name="chk_all" type="checkbox" class="filled-in chk-col-blue" />
												<label for="chk_all"></label>
											</div>
										</th>
										<th width="25%">Ebook Name</th>
										<th width="10%">Image</th>
										<th width="20%"><center>Category</center></th>
										<th width="10%"><center>Author</center></th>
										<th width="5%"><center>Type</center></th>
										<th width="10%"><center>View</center></th>
										<th width="20%"><center>Action</center></th>
									</tr>
								</thead>
								<?php
								while(($count < $rpp) && ($i < $tcount)) {
									mysqli_data_seek($result, $i);
									$data = mysqli_fetch_array($result);
									?>
									<tr>

										<td style="vertical-align: middle;" width="1%">
											<div class="demo-checkbox" style="margin-top: 10px;">
												<input type="checkbox" name="chk_id[]" id="<?php echo $data['book_id'];?>" class="chkbox filled-in chk-col-blue" value="<?php echo $data['book_id'];?>"/>
												<label for="<?php echo $data['book_id'];?>"></label>
											</div>
										</td>

										<td style="vertical-align: middle;"><?php echo $data['book_name'];?></td>

										<td><img class="img-corner-radius" style="object-fit:cover;" src="upload/category/<?php echo $data['book_image'];?>" height="90px" width="60px"/></td>

										<td style="vertical-align: middle;"><center><?php echo $data['category_name'];?></center></td>
										<td style="vertical-align: middle;"><center><?php echo $data['author'];?></center></td>

										<td style="vertical-align: middle;">
											<center>
												<?php if ($data['type'] == 'pdf_upload') { ?>
													<span class="label label-rounded bg-teal">PDF (UPLOAD)</span>
												<?php } else if ($data['type'] == 'pdf_url') { ?>
													<span class="label label-rounded bg-cyan">PDF (URL)</span>
												<?php } else { ?>
													<span class="label label-rounded bg-blue">STORY</span>
												<?php } ?>
											</center>
										</td>

										<td style="vertical-align: middle;"><center><?php echo numberFormatter($data['view_count']); ?></center></td>									

										<td style="vertical-align: middle;"><center>

											<a href="ebook-send.php?id=<?php echo $data['book_id'];?>">
												<i class="material-icons">notifications_active</i>
											</a>

											<a href="ebook-edit.php?id=<?php echo $data['book_id'];?>">
												<i class="material-icons">mode_edit</i>
											</a>

											<a href="ebook-delete.php?id=<?php echo $data['book_id'];?>" onclick="return confirm('Are you sure want to delete this ebook?')" >
												<i class="material-icons">delete</i>
											</a></center>
										</td>
									</tr>
									<?php
									$i++; 
									$count++;
								}
								?>
							</table>

						</form>

						<?php } ?>

						<?php if ($tcount > $postPerPage) { echo pagination($reload, $page, $keyword, $tpages); } ?>
					</div>

				</div>
			</div>
		</div>
	</div>
</section>

<?php include_once('includes/footer.php'); ?>