<?php include_once('includes/header.php'); ?>
<script src="assets/plugins/ckeditor/ckeditor.js"></script>

<?php 

    if (isset($_POST['submit'])) {

        $book_image = time().'_'.$_FILES['book_image']['name'];
        $book_image_tmp = $_FILES['book_image']['tmp_name'];
        $image_path = 'upload/category/'.$book_image;
        copy($book_image_tmp, $image_path);

        if ($_POST['upload_type'] == 'pdf_upload') {
            $pdf  = time().'_'.$_FILES['pdf']['name'];
            $pdf_tmp   = $_FILES['pdf']['tmp_name'];
            $pdf_path ='upload/pdf/'.$pdf;
            copy($pdf_tmp, $pdf_path);
        } else if ($_POST['upload_type'] == 'pdf_url') {
            $pdf = $_POST['url_source'];
        } else {
            $pdf = '';
        }

        $data = array(
            'category_id' => $_POST['category_id'],
            'book_name' => $_POST['book_name'],
            'book_image' => $book_image,
            'book_description' => $_POST['book_description'],
            'author' => $_POST['author'],
            'type' => $_POST['upload_type'],
            'pdf_name' => isset($pdf) ? $pdf : ''
        );

        $qry = insert('tbl_book', $data);                                    
        
        $_SESSION['msg'] = 'Ebook added successfully...';
        header( "Location:ebook-add.php");
        exit;

    }

    $sql_category = "SELECT * FROM tbl_category ORDER BY cid DESC";
    $category_result = mysqli_query($connect, $sql_category);

?>

<script type="text/javascript">

    $(document).ready(function(e) {

        $("#upload_type").change(function() {
            var type = $("#upload_type").val();

                if (type == "pdf_url") {
                    $("#pdf_upload").hide();
                    $("#pdf_url").show();
                }

                if (type == "pdf_upload") {
                    $("#pdf_url").hide();
                    $("#pdf_upload").show();
                }

                if (type == "standard") {
                    $("#pdf_url").hide();
                    $("#pdf_upload").hide();
                }                     
        });

        $( window ).load(function() {
        var type=$("#upload_type").val();

            if (type == "pdf_url") {
                $("#pdf_upload").hide();
                $("#pdf_url").show();
            }

            if (type == "pdf_upload") {
                $("#pdf_url").hide();
                $("#pdf_upload").show();
            }

            if (type == "standard") {
                $("#pdf_url").hide();
                $("#pdf_upload").hide();
            }

        });

    });

</script>

<section class="content">

	<ol class="breadcrumb">
		<li><a href="dashboard.php">Dashboard</a></li>
		<li><a href="ebook.php">Manage Ebook</a></li>
		<li class="active">Add Ebook</a></li>
	</ol>

	<div class="container-fluid">

		<div class="row clearfix">
			<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">

				<form id="form_validation" method="post" enctype="multipart/form-data">
					<div class="card corner-radius">
						<div class="header">
							<h2>ADD EBOOK</h2>
						</div>
						<div class="body">

							<?php if(isset($_SESSION['msg'])) { ?>
							<div class='alert alert-info alert-dismissible corner-radius' role='alert'>
								<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span>&nbsp;&nbsp;</button>
								<?php echo $_SESSION['msg']; ?>
							</div>
							<?php unset($_SESSION['msg']); } ?>                            

                            <div class="row clearfix">

                                <div class="form-group col-sm-12">
                                    <div class="font-12">Book Name</div>
                                    <div class="form-line">
                                        <input type="text" class="form-control" name="book_name" id="book_name" placeholder="Book Name" required>
                                    </div>
                                </div>

                                <div class="form-group col-sm-12">
                                    <div class="font-12">Author</div>
                                    <div class="form-line">
                                        <input type="text" class="form-control" name="author" id="author" placeholder="Author" required/>
                                    </div>
                                </div>

                                <div class="form-group col-sm-12">
                                    <div class="font-12">Category</div>
                                    <select class="form-control show-tick" name="category_id" id="category_id">
                                        <?php while ($data = mysqli_fetch_array ($category_result)) { ?>
                                        <option value="<?php echo $data['cid'];?>"><?php echo $data['category_name'];?></option>
                                        <?php } ?>
                                    </select>
                                </div>

                                <div class="form-group col-sm-12">
                                    <div class="font-12">Type</div>
                                    <select class="form-control show-tick" name="upload_type" id="upload_type">
                                        <option value="standard">Standard (Stories)</option>
                                        <option value="pdf_url">PDF (Url)</option>
                                        <option value="pdf_upload">PDF (Upload)</option>
                                    </select>
                                </div>

                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <div class="font-12 ex1">Image ( JPG, JPEG, PNG or GIF )</div>
                                        <input type="file" name="book_image" id="book_image" class="dropify-image" data-max-file-size="3M" data-allowed-file-extensions="jpg jpeg png gif" required/>
                                    </div>
                                </div>

                                <div id="pdf_url">
                                    <div class="form-group col-sm-12" style="margin-top: -24px">
                                        <div class="font-12">PDF URL *</div>
                                        <div class="form-line">
                                            <input type="text" class="form-control" name="url_source" id="url_source" placeholder="http://www.abc.com/pdf_name.pdf" required/>
                                        </div>
                                    </div>
                                </div>

                                <div id="pdf_upload">
                                    <div class="col-sm-6">
                                        <div class="font-12 ex1">Upload PDF *</div>
                                        <div class="form-group">
                                            <input type="file" id="pdf" name="pdf" id="pdf" class="dropify-pdf" data-max-file-size="100M" data-allowed-file-extensions="pdf" required/>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-12">
                                    <div class="font-12">Description *</div>
                                    <div class="form-group" style="margin-top: 6px;">
                                        <textarea class="form-control" name="book_description" id="book_description" class="form-control" cols="60" rows="10" required></textarea>

                                        <?php if ($ENABLE_RTL_MODE == 'true') { ?>
                                        <script>                             
                                            CKEDITOR.replace( 'book_description' );
                                            CKEDITOR.config.contentsLangDirection = 'rtl';
                                            CKEDITOR.config.height = 300;
                                        </script>
                                        <?php } else { ?>
                                        <script>                             
                                            CKEDITOR.replace( 'book_description' );
                                            CKEDITOR.config.height = 300;
                                        </script>
                                        <?php } ?>
                                    </div>
                                    
                                </div>                                

                                <div class="form-group col-sm-12">
                                    <button type="submit" name="submit" class="button button-rounded waves-effect waves-float pull-right">SUBMIT</button>
                                </div>

                            </div>

						</div>
					</div>
				</form>

			</div>
		</div>

	</div>

</section>

<?php include_once('includes/footer.php'); ?>